It's all about the answers!

Ask a question

P2 Install does not show up in Installation details. And how to upgrade.


Craig Bell (517) | asked Apr 03 '14, 3:36 p.m.
I've installed the RTC 4.0.3 client, P2 install, into J2EE Keppler SR1 (Eclipse 4.3.1).
When I open Help->About from eclipse, the RTC icon is not present in the first window.  When i click on  installation details, it lists:
     Rational Team Concert Client Feature    4.2.100.RTC-I20130517-1856    com.ibm.team.rtc.client.feature.feature.group   IBM
Opening that up, most of the elements have a version of 3.0.something.  Nothing is labelled version 4.

Thankfully, on the Welcome panel in help it does say have a hotlink labelled:
     What's new in Rational Team Concert 4.0.3
     Learn about the new and changed features in Rational Team Concert™ 4.0.3.

How is one to know for certain what version of RTC I'm running?  Is this an artifact of the P2 method of installing?

Also, please tell me if I can upgrade to 4.0.5 P2 client by simply installing it the same way I did 4.0.3? or is there another path for upgrades vs. installs?

3 answers



permanent link
Abraham Sweiss (2.4k1131) | answered Apr 04 '14, 3:31 p.m.
Upgrades and installs  of the client are the same.  Either install both the client RTC plugin and eclipse from jazz.net or Install the p2 plugin into an existing eclipse client that does not already have an RTC plugin installed.

BTW: When I move to a new version, I do a side by side install and create a new workspace.  This way if something goes wrong, i can easily revert back to the old version.


Comments
Craig Bell commented Apr 04 '14, 3:41 p.m.

Thank you for the response.  But I would like to install the p2 405 install into an eclipse env that already has the 403 client.  Will that work, or do i need to create a new eclipse install?

I don't know what you mean by "side by side instal", unless you mean you create a whole new eclipse environment.  Is that right?

Do you happen to know why the P2 installs don't have the correct RTC client version?
Thanks!


Abraham Sweiss commented Apr 04 '14, 3:47 p.m. | edited Apr 04 '14, 4:02 p.m.
  1. You will need to create a new eclipse install.

  2. yes

  3. That sounds odd.  As long as the p2 is being installed on an eclipse client that does not already have an RTC plugin, or that the plugin was uninstalled before installing the new version, IM should have the correct version info. 


Craig Bell commented Apr 04 '14, 4:00 p.m. | edited Apr 04 '14, 4:03 p.m.

Thanks for clarifying.
Yes, I think it's odd too, maybe a bug? From my Installation Details:

  Rational Team Concert Client Feature    4.2.100.RTC-I20130517-1856    com.ibm.team.rtc.client.feature.feature.group    IBM


permanent link
Abraham Sweiss (2.4k1131) | answered Apr 04 '14, 4:09 p.m.
May be a good idea to open a defect or PMR....and provide detailed steps on how to recreate.  This way if it is determined to be a bug, it can be fixed in a future release. 

One other thing to try is to go to the all downloads section of RTC 4.0.6 to get the latest version of IM and see if the problem can be reproduced.

permanent link
Tim Mok (6.6k38) | answered Apr 04 '14, 4:14 p.m.
JAZZ DEVELOPER
I believe the version you are seeing is the feature version, which increments differently than the complete product version. There's an option on that page to group items by category. Enable that and you'll see the product (ie. RTC) and selecting it will show in the details below the RTC version.

You don't have to create a new Eclipse install or a new Eclipse workspace. It's ok to perform the upgrade by adding the p2 repo to the software sites in the Eclipse preferences (Window > Preferences > Install/Update > Available Software Sites) and checking for upgrades (ie. Help > Check for Updates). If you need to uninstall, go to Help > About Eclipse > Installation Details and select the feature you want to uninstall. If you want to rollback, go to the Installation History of that window to revert to a previous configuration.

Comments
Craig Bell commented Apr 04 '14, 4:45 p.m. | edited Apr 04 '14, 4:46 p.m.

Thank you for the instructions for updating, and for pointing out the group by category.  The group by category checkbox is only present on the Install New Software, but I added my v 405 P2 zip as an available site, and the feature is version, 4.4.0.RTC-I20131025-2055.  However, the Details below correctly says "Rational Team Concert Client (extend an Eclipse installation) 4.0.5".   This detail only appears if I select the checkbox to install.


Your answer


Register or to post your answer.